# -*- coding: utf-8 -*-
import vray

vrscene_path = 'test.vrscene'
try:
    with vray.VRayRenderer() as renderer:
        # Register a simple log callback. Always useful for debugging.
        def dumpMsg(renderer, message, level, instant):
            if level == vray.LOGLEVEL_ERROR:
                print("[ERROR]", message)
            elif level == vray.LOGLEVEL_WARNING:
                print("[Warning]", message)
            elif level == vray.LOGLEVEL_INFO:
                print("[info]", message)
            # Uncomment for testing, but you might want to ignore these in real code
            # else: print("[debug]", message)


        renderer.setOnLogMessage(dumpMsg)
        renderer.load(vrscene_path)

        # Start rendering.
        try:
            renderer.startSync()

            # Wait for rendering to end.
            renderer.waitForRenderEnd()
        except Exception as ex:
            print(ex)

        print('done')

except Exception as ex:
    print(ex)
